Module | Ramaze::CoreExtensions::Object
In: | lib/ramaze/snippets/object/__dir__.rb lib/ramaze/snippets/object/instance_variable_defined.rb lib/ramaze/snippets/object/pretty.rb lib/ramaze/snippets/object/scope.rb

Extensions for Object

### Methods

__DIR__ instance_variable_defined? pretty scope

### Public Instance methods

__DIR__(*args)

This is similar to `FILE` and `LINE`, and returns a String representing the directory of the current file is. Unlike `FILE` the path returned is absolute.

This method is convenience for the

     File.expand_path(File.dirname(__FILE__))

idiom.

instance_variable_defined?(variable)
pretty(s = '')

Returns the string that pretty_inspect would yield

scope()

returns a new clean binding for this object

      usage: eval 'self', object.scope  #=> returns object

[Validate]